#include <gnome.h>

struct alarm_zone
{
	int x1;						// 0..319 1st pixel with alarm blob
	int x2;						// 0..319 last pixel with alarm blob
	int y1;						// 0..239 1st pixel with alarm blob
	int y2;						// 0..239 last pixel with alarm blob
};

void
on_exit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


gint timeout_callback( gpointer data );


gboolean
on_drawingarea1_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);
										
void	update_reference_image(void);
void 	down_sample_image(void);
float 	do_motion_analysis(void);
void 	update_history_graph(int pixcnt, int alarm_level);
extern gchar image_directory[];				// where the jpg's get put
extern gchar image_label[];					// label + time/date format
extern gint picture_interval;				// seconds
extern gchar video_device[];				// opened to read images via v4l
extern float ref_update_fraction;			// amount a new image contributes to
											// refernce image each cycle
extern gint alarm_threshold;				// percent of graph for alarm
extern float sig_pix_threshold;				// amount pixel must be different
											// (x*avg difference)		
extern float graph_scale;					// amount data is scaled before
											// being sent to 0-100 range plot																				
extern gint periodic_save_interval;			// force a save every xx snapshots

extern gint beep_on_alarm;					// console beep on alarm

extern gint show_target_box;                // display active target on pictures

extern gchar alarm_command[];               // user command on alarms
extern int dev;								// handle for v4l camera device

void restore_setup_preferences( void );
void mark_alarm_zone( struct alarm_zone *zone );
void make_mpeg_part2(GtkFileSelection *selector, gpointer user_data);
void sigchld_handler(int num);

gboolean
on_drawingarea2_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea3_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea4_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);


void
apply_needed                           (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_propertybox1_apply                  (GnomePropertyBox *gnomepropertybox,
                                        gint             arg1,
                                        gpointer         user_data);

void
on_makempeg1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

